com.holonplatform.core.datastore.transaction

## Interface TransactionalOperation.TransactionalInvocation

- All Superinterfaces:
    TransactionalOperation<Void>
  Enclosing interface:
    TransactionalOperation<R>

      public static interface TransactionalOperation.TransactionalInvocation
      extends TransactionalOperation<Void>

  Represents a transactional operation execution which do not return a result.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.transaction.TransactionalOperation

      `TransactionalOperation.TransactionalInvocation`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Void` | `execute(Transaction transaction)` Execute a transactional operation using given `Transaction` and return a result.
    `void` | `executeInTransaction(Transaction transaction)` Execute a transactional operation using given `Transaction`.

- - ### Method Detail

    - #### executeInTransaction

          void executeInTransaction(Transaction transaction)

      Execute a transactional operation using given `Transaction`.
      Parameters:
        `transaction` - The transaction reference, which can be used to perform `Transaction.commit()` and `Transaction.rollback()` operations
      Throws:
        `TransactionStatus.TransactionException` - If an execution error occurred

    - #### execute

          default Void execute(Transaction transaction)

      Description copied from interface: `TransactionalOperation`
      Execute a transactional operation using given `Transaction` and return a result.
      Specified by:
        `execute` in interface `TransactionalOperation<Void>`
      Parameters:
        `transaction` - The transaction reference, which can be used to perform `Transaction.commit()` and `Transaction.rollback()` operations
      Returns:
        The result of the operation

Copyright © 2019 The Holon Platform. All rights reserved.